Skip to main content
PATCH
cURL
Check out the configuration docs for PostgreSQL Connections to learn how to obtain the required credentials.

Path Parameters

connectionId
string<uuid>
required

The ID of the PostgreSQL Connection to be updated.

Body

application/json
credentials
object

The credentials used to connect with PostgreSQL.

name
string

The updated name of the PostgreSQL Connection. Must be slug-friendly.

Required string length: 1 - 64
description
string | null

The updated description of the PostgreSQL Connection.

Maximum string length: 256
isPlatformManagedCredentials
boolean

Whether or not the PostgreSQL Connection credentials should be managed by Infisical. Once enabled this cannot be reversed.

gatewayId
string<uuid> | null

The Gateway ID to use for this connection.

gatewayPoolId
string<uuid> | null

The Gateway Pool ID to use for this connection.

isAutoRotationEnabled
enum<boolean>

Not supported for PostgreSQL Connections.

Available options:
false
rotation

Not supported for PostgreSQL Connections.

Response

Default Response

appConnection
PostgreSQL (Username and Password) · object
required